Name: hiawatha
Version: 10.4
Summary: Hiawatha, an advanced and secure webserver for Unix
Release: %mkrel 1
Source0: http://www.hiawatha-webserver.org/files/%{name}-%{version}.tar.gz
Source1: %{name}.service
Source2: %{name}.tmpfiles
License: GPLv2
Group: System/Servers
Url: http://www.hiawatha-webserver.org

BuildRequires:  mbedtls-devel
BuildRequires:  libxslt-devel
BuildRequires:  libxml2-devel
BuildRequires:  cmake
Requires: webserver-base
Requires(post):  rpm-helper >= %{rpmhelper_required_version}
Requires(preun): rpm-helper >= %{rpmhelper_required_version}



%description
Hiawatha is an advanced and secure webserver for Unix. It has been written
with 'being secure' as its main goal. This resulted in a webserver which
has for example DoS protection, connection control and traffic throttling.
It has of course also thoroughly been checked and tested for buffer overflows


%prep
%setup -q

# build against system libmbedtls
rm -rf mbedtls

%build
%cmake -DENABLE_MONITOR:BOOL=ON \
 -DCMAKE_SKIP_RPATH:BOOL=OFF \
 -DCMAKE_INSTALL_LOCALSTATEDIR:PATH=var \
 -DCMAKE_INSTALL_PREFIX:PATH="" \
 -DCMAKE_INSTALL_BINDIR:PATH=%{_bindir} \
 -DCMAKE_INSTALL_SBINDIR:PATH=%{_sbindir} \
 -DCMAKE_INSTALL_MANDIR:PATH=%{_mandir} \
 -DLOG_DIR="%{_localstatedir}/log/hiawatha" \
 -DPID_DIR="%{_localstatedir}/run" \
 -DWORK_DIR="%{_localstatedir}/lib/hiawatha" \
 -DENABLE_CACHE=On \
 -DENABLE_IPV6=On \
 -DENABLE_RPROXY=On \
 -DENABLE_SSL=On \
 -DENABLE_TOMAHAWK=On \
 -DENABLE_TOOLKIT=On \
 -DENABLE_XSLT=On \
 -DENABLE_ZLIB_SUPPORT=On \
 -DUSE_SYSTEM_MBEDTLS=On

%make

%install
pushd build
%makeinstall_std
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -d -m 755 %{buildroot}/var/log/%name
%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d


#logrotate

cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
%{_logdir}/%{name}/*.log {
    size=10M
    rotate 5
    weekly
    missingok
    notifempty
    postrotate
    service %{name} reload
    endscript
}
EOF


#run as apache  user
sed "s/#ServerId = www-data/ServerId = apache/" -i %{buildroot}%{_sysconfdir}/hiawatha/hiawatha.conf


%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}



%files

%defattr(-,root,root)
%attr(4755,root,root) %{_sbindir}/cgi-wrapper
%attr(0755,root,root) %{_bindir}/ssi-cgi
%attr(0755,root,root) %{_sbindir}/wigwam
%attr(0755,root,root) %{_sbindir}/%{name}

%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/*
%{_mandir}/*/*.*
%{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{_localstatedir}/www/%name/index.html
#dir %attr(-,apache,apache) %{_localstatedir}/lib/%{name}/
%dir %attr(-,apache,apache) %{_localstatedir}/log/%{name}/


%changelog
* Sun Jan 22 2017 akien <akien> 10.4-1.mga6
+ Revision: 1083026
- Version 10.4

* Fri Jan 15 2016 luigiwalser <luigiwalser> 9.13-1.mga6
+ Revision: 923155
- 9.13 (supports mbedtls 1.3.x)
- rebuild for polarssl/mbedtls

* Thu Oct 29 2015 tv <tv> 9.9-3.mga6
+ Revision: 896510
- adjust file list

* Sat Mar 07 2015 wally <wally> 9.9-2.mga5
+ Revision: 817959
- build against system libpolarssl (mga#15391)

  + bersuit <bersuit>
    - Update to new upstream version 9.9
    - Update to new upstream version 9.8

* Wed Oct 15 2014 umeabot <umeabot> 9.7-3.mga5
+ Revision: 747618
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 9.7-2.mga5
+ Revision: 680127
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 bersuit <bersuit> 9.7-1.mga5
+ Revision: 666888
- Update to new Upstream version 9.7

* Sun Jun 22 2014 bersuit <bersuit> 9.6-1.mga5
+ Revision: 638718
- Update to new upstream version
 -Fix: ENABLE_MONITOR twice in configure.
 -Change Buildrequires: Hiawatha uses PolarSSL instead of OpenSSL

* Sun Apr 06 2014 bersuit <bersuit> 9.4-1.mga5
+ Revision: 612281
- Update to new upstream version

* Sat Nov 09 2013 bersuit <bersuit> 9.3-1.mga4
+ Revision: 550071
- Update to new upstream version  9.3
- Initial import hiawatha web server

